Mandrake Linux Security Advisory : openssl (MDKSA-2001:065)

This script is Copyright (C) 2004-2013 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

The pseudo-random number generator in OpenSSL versions up to 0.9.6a
has a design flaw. By knowing the output of specific PRNG requests, an
attacker would be able to determine the PRNG's internal state and thus
predict future PRNG output.

See also :

http://marc.info/?l=openssl-announce&m=98655255404174&w=2
http://marc.info/?l=openssl-announce&m=99470949306468&w=2

Solution :

Update the affected openssl and / or openssl-devel packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 13880 (mandrake_MDKSA-2001-065.nasl)

Bugtraq ID:

CVE ID: CVE-2001-1141

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now